/**
 * ./src/krill/prepare.tsx
 * penguins-eggs v.10.0.0 / ecmascript 2020
 * author: Piero Proietti
 * email: piero.proietti@gmail.com
 * license: MIT
 * https://stackoverflow.com/questions/23876782/how-do-i-split-a-typescript-class-into-multiple-files
 */
import { IKrillConfig } from '../interfaces/i_krill_config.js';
import Keyboards from '../../classes/keyboards.js';
import Locales from '../../classes/locales.js';
import { welcome } from './prepare.d/welcome.js';
import { location } from './prepare.d/location.js';
import { keyboard } from './prepare.d/keyboard.js';
import { partitions } from './prepare.d/partitions.js';
import { users } from './prepare.d/users.js';
import { network } from './prepare.d/network.js';
import { summary } from './prepare.d/summary.js';
/**
 *
 */
export default class Krill {
    welcome: typeof welcome;
    location: typeof location;
    keyboard: typeof keyboard;
    partitions: typeof partitions;
    users: typeof users;
    network: typeof network;
    summary: typeof summary;
    krillConfig: IKrillConfig;
    locales: Locales;
    keyboards: Keyboards;
    unattended: boolean;
    nointeractive: boolean;
    chroot: boolean;
    halt: boolean;
    /**
     * constructor
     * @param unattended
     * @param nointeractive
     * @param halt
     */
    constructor(unattended?: boolean, nointeractive?: boolean, halt?: boolean, chroot?: boolean);
    /**
     *
     * @param krillConfig
     * @param ip
     * @param random
     * @param domain
     * @param suspend
     * @param small
     * @param none
     * @param crypted
     * @param pve
     * @param btrfs
     * @param testing
     * @param verbose
     */
    prepare(krillConfig?: IKrillConfig, ip?: boolean, random?: boolean, domain?: string, suspend?: boolean, small?: boolean, none?: boolean, crypted?: boolean, pve?: boolean, btrfs?: boolean, testing?: boolean, verbose?: boolean): Promise<void>;
    /**
     * return true if pv exist
     */
    private pvExist;
}
