'use strict';

async function attemptAsync(func) {
    try {
        const result = await func();
        return [null, result];
    }
    catch (error) {
        return [error, null];
    }
}

function invariant(condition, message) {
    if (condition) {
        return;
    }
    throw new Error(message);
}

exports.attemptAsync = attemptAsync;
exports.invariant = invariant;
